
QGIS Application - Bug report #13985

Merge Vector Layer: Attribute values are wrongly assigning if that attribute is not exists in any of 

input vector layer.

2015-12-14 05:06 AM - Nag R

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21999

Description

Merge Vector Layer: The attributes which are not exists in one of the input vector layer are assigning ‘10’ after merging. 

If any attribute are not common in the input layers those must retain as null for the object which is not defined, they should not set with any

value while merging the layers.

History

#1 - 2015-12-14 07:53 PM - Nag R

- File After_Merging.png added

#2 - 2016-01-15 04:13 AM - Alexander Bruy

- Status changed from Open to Feedback

Can not open attached archive.

This bug should be fixed in the Processing in master

#3 - 2016-01-29 02:16 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

closing for lack of feedback and because it seems really fixed in master anyway.

Files

Merge_Vector_Layers.png 200 KB 2015-12-14 Nag R

Inputs_Output.rar 21.7 KB 2015-12-14 Nag R

After_Merging.png 92.6 KB 2015-12-14 Nag R
